%define name  freeamp
%define version   2.1.0
%define release   2mdk

Summary:      MP3 audio player with theme user interface and streaming support
Name:         %{name}
Version:      %{version}
Release:      %{release}
License:    GPL
Group:        Sound
Url:          http://www.freeamp.org
Source:       %{name}-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-buildroot
BuildRequires: libmusicbrainz-devel freetype-devel libid3lib-devel

%description
FreeAmp is an extensible, cross-platform audio player. It features an
optimized version of the GPLed Xing MPEG decoder which makes it one of the
fastest and best sounding players available. FreeAmp provides a number of the
most common features users have come to expect in a clean, easy to use
interface.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n freeamp

%build
%ifarch %{ix86}
#export CXX=kg++
%configure
%else
%configure --disable-x86opts
%endif
%make

%install
PATH=$PATH:/sbin:/usr/sbin ; export PATH
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%{_bindir},%{_infodir}}
mkdir -p $RPM_BUILD_ROOT/{%{_datadir}/freeamp/{help,themes},%{_libdir}/freeamp/plugins}
install -m 755 freeamp $RPM_BUILD_ROOT/%{_bindir}/
install themes/* $RPM_BUILD_ROOT%{_datadir}/freeamp/themes/
#install -s plugins/* $RPM_BUILD_ROOT%{prefix}/lib/freeamp/plugins
for file in plugins/*.*; do
    enable=f
    case "$file" in
      */alsa*.pmo)
         if ldconfig -p | grep 'libasound\.so' > /dev/null; then
            enable=t
         else
            enable=f
         fi
      ;;
      */esound*.pmo)
         if ldconfig -p | grep 'libesd\.so' > /dev/null; then
            enable=t
         else
            enable=f
         fi
      ;;
      */ncurses*.ui)
         if ldconfig -p | grep 'libncurses\.so' > /dev/null; then
            enable=t
         else
            enable=f
         fi
      ;;
      *)
      enable=t
      ;;
    esac
    if [ "$enable" = t ]; then
        install -s $file $RPM_BUILD_ROOT%{_libdir}/freeamp/plugins
    fi
done  

(cd $RPM_BUILD_ROOT%{_datadir}/freeamp/ ;
tar xfz $RPM_BUILD_DIR/%{name}/help/unix/freeamphelp.tar.gz)

 
(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/freeamp"\
title="Freeamp"\
longtitle="audio player"\
needs="x11"\
section="Multimedia/Sound"
EOF
) 
%post
%{update_menus}

%postun
%{clean_menus}


%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc AUTHORS CHANGES COPYING INSTALL NEWS README README.linux
%{_bindir}/*
%{_libdir}/freeamp 
%{_datadir}/freeamp
%{_libdir}/menu/*

%changelog
* Mon Jul 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.1.0-2mdk
- rebuild

* Wed Apr 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.1.0-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 2.1.0
	- gcc 2.96
	- fixed buildrequires

* Tue Oct 10 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.1-0.1mdk
- new release
- spec cleaning
- readd ALSA support
- SMP build if availlable

* Mon Sep 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0.8-1mdk
- updated to 2.0.8

* Tue Aug 31 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0.7-2mdk
- add menu entry

* Sat Aug 12 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.0.7-1mdk
- rebuilt using macros

* Sat Jun 17 2000 John Johnson <jjohnson@linux-mandrake.com>
- Made mandrake rpm
